LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XTwoAxisXSupplier Interface Referencepublished

gives access to both the primary and the secondary x-axis of a chart. More...

`import"XTwoAxisXSupplier.idl";`

Inheritance diagram for XTwoAxisXSupplier:

## Public Member Functions
com::sun::star::beans::XPropertySet | getSecondaryXAxis ()
Public Member Functions inherited from XAxisXSupplier
com::sun::star::drawing::XShape | getXAxisTitle ()
com::sun::star::beans::XPropertySet | getXAxis ()
com::sun::star::beans::XPropertySet | getXMainGrid ()
com::sun::star::beans::XPropertySet | getXHelpGrid ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to both the primary and the secondary x-axis of a chart.

See also
  XDiagram

## Member Function Documentation

## ◆ getSecondaryXAxis()

com::sun::star::beans::XPropertySet getSecondaryXAxis | ( |  | ) |

Returns
  the properties of the secondary x-axis of the diagram.

The returned property set contains scaling properties as well as formatting properties.

See also
  ChartAxis

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XTwoAxisXSupplier.idl